=== debian/changelog ===
xmrig (6.19.3+dfsg-1) unstable; urgency=medium

  * Initial Package (Closes: #1003917)

 -- Ben Westover <me@benthetechguy.net>  Sun, 04 Jun 2023 02:50:02 -0400
