## xmrig 6.20.0+dfsg

=== debian/changelog ===
xmrig (6.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Ben Westover <me@benthetechguy.net>  Mon, 03 Jul 2023 19:24:12 -0400
