## xmrig 6.21.0+dfsg

=== debian/changelog ===
xmrig (6.21.0+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Ben Westover <me@benthetechguy.net>  Thu, 23 Nov 2023 12:02:20 -0500
