=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  opencl-c-headers,
  rapidjson-dev,
  help2man
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/xmrig.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/xmrig
 Homepage: https://xmrig.com/
