## xmrig 6.21.3+dfsg

=== debian/changelog ===
xmrig (6.21.3+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Ben Westover <me@benthetechguy.net>  Tue, 23 Apr 2024 11:42:12 -0400

xmrig (6.21.2+dfsg-2) unstable; urgency=medium

  * Forces ARMv7 build if on armhf architecture (Closes: #1066942)

 -- Ben Westover <me@benthetechguy.net>  Wed, 03 Apr 2024 13:22:12 -0400

xmrig (6.21.2+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Ben Westover <me@benthetechguy.net>  Tue, 02 Apr 2024 16:26:12 -0400
