## xmrig 6.22.0+dfsg

=== debian/changelog ===
xmrig (6.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Ben Westover <me@benthetechguy.net>  Mon, 12 Aug 2024 13:23:33 -0400
