## xmrig 6.22.1+dfsg

=== debian/changelog ===
xmrig (6.22.1+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Ben Westover <me@benthetechguy.net>  Tue, 29 Oct 2024 23:32:22 -0400
