## xmrig 6.22.2%2Bdfsg

=== debian/changelog ===
xmrig (6.22.2+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with fmtlib 10 (Fixes: #1086567)

 -- Ben Westover <me@benthetechguy.net>  Thu, 02 Jan 2025 15:40:14 -0500

xmrig (6.22.2+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Ben Westover <me@benthetechguy.net>  Wed, 06 Nov 2024 22:54:24 -0500
