=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xmrig
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
+Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
 Uploaders: Ben Westover <me@benthetechguy.net>
 Build-Depends:
  debhelper-compat (= 13),
@@ -15,7 +14,7 @@
  opencl-c-headers,
  rapidjson-dev,
  help2man
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/xmrig.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/xmrig
 Homepage: https://xmrig.com/
