=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,13 @@
 override_dh_auto_configure:
 	ln -s /usr/include/fmt src/3rdparty/fmt
 	ln -s /usr/include/rapidjson src/3rdparty/rapidjson
+
+# Work around flaky arch detection in CMake script on armhf
+ifeq ($(DEB_HOST_ARCH), armhf)
+	dh_auto_configure -- -DWITH_KAWPOW=OFF -DARM_V7=ON
+else
 	dh_auto_configure -- -DWITH_KAWPOW=OFF
+endif
 
 execute_before_dh_auto_build:
 	# blhc is triggered by the lack of -D_FORTIFY_SOURCE=2 in the
