=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
dversionmangle=auto \
https://github.com/xmrig/xmrig/tags .*/v?(\d\.\d{2}.\d)\.tar\.gz
