## xmrig 6.22.3+dfsg

=== debian/changelog ===
xmrig (6.22.3+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Ben Westover <me@benthetechguy.net>  Wed, 04 Jun 2025 15:16:17 -0400
