## xmrig 6.23.0+dfsg

=== debian/changelog ===
xmrig (6.23.0+dfsg-2) unstable; urgency=medium

  * Fix build on armhf.

 -- Ben Westover <me@benthetechguy.net>  Wed, 18 Jun 2025 16:52:26 -0400

xmrig (6.23.0+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Ben Westover <me@benthetechguy.net>  Tue, 17 Jun 2025 21:22:12 -0400
