=== src/3rdparty/argon2/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.10)
 
 project(argon2 C)
 set(CMAKE_C_STANDARD 99)
