=== debian/changelog ===
xmrig (6.24.0+dfsg-2) unstable; urgency=medium

  * Fix armhf build on ARMv8.

 -- Ben Westover <me@benthetechguy.net>  Tue, 24 Jun 2025 15:42:26 -0400

xmrig (6.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Ben Westover <me@benthetechguy.net>  Mon, 23 Jun 2025 22:44:26 -0400
