=== debian/changelog ===
xmrig (6.25.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Update Standards-Version to 4.7.3.
  * riscv64 is now a supported architecture.

 -- Ben Westover <me@benthetechguy.net>  Tue, 23 Dec 2025 13:58:18 -0500
