=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: xmrig
 Section: utils
-Priority: optional
 Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
 Uploaders: Ben Westover <me@benthetechguy.net>
 Build-Depends:
@@ -14,14 +13,14 @@
  opencl-c-headers,
  rapidjson-dev,
  help2man
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/xmrig.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/xmrig
 Homepage: https://xmrig.com/
 Rules-Requires-Root: no
 
 Package: xmrig
-Architecture: i386 amd64 arm64 armhf
+Architecture: i386 amd64 arm64 armhf riscv64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: High performance, open source CPU/GPU miner and RandomX benchmark
  XMRig is a high performance, open source, cross platform RandomX, KawPow,
